Synq Docs
Management APIChange requests

Decline a change request

Changes nothing. From the dashboard, by the person who asked. Needs `org.apps.edit`. Recorded as `change_request.declined`.

POST/v1/orgs/{org}/change-requests/{request}/decline

Changes nothing. From the dashboard, by the person who asked. Needs org.apps.edit. Recorded as change_request.declined.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string
request*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/orgs/string/change-requests/string/decline"
{  "id": "string",  "kind": "app.redirect_uris",  "target": {    "brand": "string",    "app": "string"  },  "change": {    "redirect_uris": [      "string"    ]  },  "status": "pending",  "asked_from": "string",  "approve_url": "string",  "expires_at": "2019-08-24T14:15:22Z",  "decided_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z"}